Subject: Re: bug#40034: 27.0.90; Incorrect grammar for scheme causes entry to debug mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Sep 2020 18:34:21 +0200

Vladimir Nikishkin <[email-masked]> writes:

> Create a file temp.scm with the following contents:
> ```
> (define (example . args)
>    args)
> ```
>
> Launch emacs -Q temp.scm
>
> M-: (semantic-mode 1) RET

Thanks; that reproduced the bug.

I'm not a Scheme expert by any means (I haven't used it in decades), but
I think your patch is at least more correct than the old regexp, which
required that all symbols start with a word-constituent character.  That
has to be wrong -- surely ".foo" is perfectly fine as a symbol in
Scheme, too?

So I've applied your patch to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no